Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search.utils
Class MetadataSearchBuilder

    java.lang.Object
      com.bea.apps.groupspace.search.utils.MetadataSearchBuilder

    public class MetadataSearchBuilder

extends Object

Use this class to build up metadata search expressions for use in the EnterpriseSearchControl. This class is NOT to be used with GsFullTextSearchControl or CmFullTextSearchControl.

Use of this class assumes the Autonomy Search Engine is running.

Constructor Summary
`MetadataSearchBuilder()`

Method Summary
`IMetadataQueryParameter` | `allOfTheseWords(String[] allWords)`
`IMetadataQueryParameter` | `anyOfTheseWords(String[] anyWords)` Construct a FullTextSearch object that will search content for "any of these words".
`IMetadataQueryParameter` | `contains(String property, String criteria)` Find items whose property contains exactly this criteria.
`IMetadataQueryParameter` | `containsAll(String property, String[] criteria)` Find items whose property contains all of these criteria.
`IMetadataQueryParameter` | `containsAny(String property, String[] criteria)` Find items whose property contains any of these criteria.
`IMetadataQueryParameter` | `equals(String property, String criteria)` Include this property in the search.
`IMetadataQueryParameter` | `isNotNull(String property)` Whose property is not null
`IMetadataQueryParameter` | `isNull(String property)` Whose property is null
`IMetadataQueryParameter` | `like(String property, String criteria, boolean ignoreCase)` Find items whose property contains something similar to this criteria.
`IMetadataQueryParameter` | `match(String[] allWords, String[] anyWords, String exactPhrase)` Autonomy Metadata, not in CM Construct an IMetadataQueryParameter that will search content subject to all of these restrictions.
`IMetadataQueryParameter` | `notEquals(String property, String criteria)` Do not include this property in the search.
`IMetadataQueryParameter` | `notEquals(String property, String[] criteria)` Do not include this property in the search.
`IMetadataQueryParameter` | `numberCriteria(String property, Number count, ExpressionBuilder.CountCriteria criteria)` Construct a metadata search parameter to limit based on count.
`IMetadataQueryParameter` | `wildcard(String property, String criteria)` Used for matching criteria containing the wildcards '*' or '?'

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetadataSearchBuilder

    public MetadataSearchBuilder()

Method Detail

### allOfTheseWords

    public IMetadataQueryParameter allOfTheseWords(String[] allWords)
                                            throws Exception

  Throws
    `Exception`

### anyOfTheseWords

    public IMetadataQueryParameter anyOfTheseWords(String[] anyWords)
                                            throws Exception

  Construct a FullTextSearch object that will search content for "any of these words".

  Throws
    `Exception`

### numberCriteria

    public IMetadataQueryParameter numberCriteria(String property,
                                                  Number count,
                                                  ExpressionBuilder.CountCriteria criteria)
                                           throws InvalidQueryException

  Construct a metadata search parameter to limit based on count. This is for non-CM Autonomy metadata.

  Throws
    `InvalidQueryException`

### isNull

    public IMetadataQueryParameter isNull(String property)
                                   throws InvalidQueryException

  Whose property is null

  Throws
    `InvalidQueryException`

### isNotNull

    public IMetadataQueryParameter isNotNull(String property)
                                      throws InvalidQueryException

  Whose property is not null

  Throws
    `InvalidQueryException`

### equals

    public IMetadataQueryParameter equals(String property,
                                          String criteria)
                                   throws InvalidQueryException

  Include this property in the search.

  Throws
    `InvalidQueryException`

### notEquals

    public IMetadataQueryParameter notEquals(String property,
                                             String criteria)
                                      throws InvalidQueryException

  Do not include this property in the search.

  Throws
    `InvalidQueryException`

### notEquals

    public IMetadataQueryParameter notEquals(String property,
                                             String[] criteria)
                                      throws InvalidQueryException

  Do not include this property in the search.

  Throws
    `InvalidQueryException`

### contains

    public IMetadataQueryParameter contains(String property,
                                            String criteria)
                                     throws InvalidQueryException

  Find items whose property contains exactly this criteria. Wildcards are not allowed; use the "like" construct for that.

  Throws
    `InvalidQueryException`

### containsAll

    public IMetadataQueryParameter containsAll(String property,
                                               String[] criteria)
                                        throws InvalidQueryException

  Find items whose property contains all of these criteria. Wildcards are not allowed; use the "like" construct for that.

  Throws
    `InvalidQueryException`

### containsAny

    public IMetadataQueryParameter containsAny(String property,
                                               String[] criteria)
                                        throws InvalidQueryException

  Find items whose property contains any of these criteria. Wildcards are not allowed; use the "like" construct for that.

  Throws
    `InvalidQueryException`

### wildcard

    public IMetadataQueryParameter wildcard(String property,
                                            String criteria)
                                     throws InvalidQueryException

  Used for matching criteria containing the wildcards '*' or '?'

  Throws
    `InvalidQueryException`

### like

    public IMetadataQueryParameter like(String property,
                                        String criteria,
                                        boolean ignoreCase)
                                 throws InvalidQueryException

  Find items whose property contains something similar to this criteria. Wildcards are allowed.

  Throws
    `InvalidQueryException`

### match

    public IMetadataQueryParameter match(String[] allWords,
                                         String[] anyWords,
                                         String exactPhrase)
                                  throws Exception

  Autonomy Metadata, not in CM Construct an IMetadataQueryParameter that will search content subject to all of these restrictions. These restrictions are 'ANDED' together

  Throws
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved